<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAlbumReviewTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('album_review', function (Blueprint $table) {
            $table->increments('id');
            $table->tinyInteger('verifier_review')->comment('客服服务: 0：好评；1：中评；2：差评');
            $table->tinyInteger('producer_review')->comment('产品质量: 0：好评；1：中评；2：差评');
            $table->tinyInteger('packer_review')->comment('包装服务: 0：好评；1：中评；2：差评');
            $table->string('description',255)->comment('评论');
            $table->string('picture',255)->nullable()->comment('图片');

            $table->string('order_id',255)->comment('订单号');
            $table->integer('store_id')->comment('站点');

            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('album_review');
    }
}
